library fields.view;

import 'dart:async';
import 'dart:html';
import 'package:tags/tags.dart';
import 'package:tags/dom.dart';
import 'model.dart';

part 'src/view/field_list_view.dart';
part 'src/view/field_view.dart';
part 'src/view/object_editor.dart';

bool _isCustomElementsRegistered = false;
void registerFieldsCustomElements() {
  if (!_isCustomElementsRegistered) {
    _isCustomElementsRegistered = true;
    dom = TAGS_DOM;
    document.register(FieldView.TAG, FieldView);
    document.register(FieldListView.TAG, FieldListView);
    document.register(ObjectEditor.TAG, ObjectEditor);
  }
}
